program FIM;

uses
  Forms,
  Windows,
  TRPCB,
  sysutils,
  Dialogs,
  Main in 'MAIN.PAS' {MainForm},
  Note in 'Note.pas' {frmNote},
  SignNote in 'SignNote.pas' {frmSign},
  Auth in 'Auth.pas' {frmAuthor},
  Cpat in 'Cpat.pas' {frmPatient},
  FIMKey in 'FIMKey.pas' {frmKey},
  AboutBox in 'AboutBox.pas' {frmAbout},
  frmDemoUnit in 'frmDemoUnit.pas' {frmDemo},
  frmLookupUnit in 'frmLookupUnit.pas' {frmLookup},
  Consult in 'Consult.pas' {frmConsult},
  Warn2 in 'Warn2.pas' {Warning2},
  frmTimeOutUnit in 'frmTimeOutUnit.pas' {frmTimeOut},
  frmPtChangeUnit in 'frmPtChangeUnit.pas' {frmPtChange},
  uFIM_Splash in 'uFIM_Splash.pas' {frmSplash},
  uFIM_Objects in 'uFIM_Objects.pas',
  U_508FrameWork in 'U_508FrameWork.pas';

var
  ReaderStateOn, ReaderRunning: longbool;

{$R *.RES}
begin
  Application.Initialize;
  FIMBroker := TRPCBroker.Create(Application);
  FIMAppSpecific := TFIM_AppSpecific.Create;
  FIMUser := TFIM_User.Create(FIMBroker);
  FIMVisit := TFIM_Visit.Create;
  FIMConsult := TFIM_Consult.Create;
  FIMPatient := TFIM_Patient.Create;
  frmSplash := TfrmSplash.Create(Application);
  frmSplash.Show;
//  try
    if FIMUser.SignOn(RPC_CREATECONTEXT, True) then
    begin
      frmSplash.Hide;
      Application.Title := 'FIM';
      Application.CreateForm(TMainForm, MainForm);
  ReaderRunning := SystemParametersInfo(SPI_GETSCREENREADER, 0, @ReaderStateOn, 0);          ////  Is Screen Reader Running?
  if (ReaderStateOn and ReaderRunning) then
    PreLoad508Fix;
  Application.Run;
    end;

end.

