unit Splvista;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TfrmVistaSplash = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    LOADMSG: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Panel2: TPanel;
    procedure FormCreate(Sender: TObject);
  Private
    { Private declarations }
  Public
    { Public declarations }
  end;

var
  frmVistaSplash: TfrmVistaSplash;
  StartTick: longint;

procedure SplashOpen;
procedure SplashClose(TimeOut: longint);

implementation

{$R *.DFM}



procedure SplashOpen;
begin
  StartTick := GetTickCount;
  try
    frmVistaSplash := TfrmVistaSplash.Create(Application);
    frmVistaSplash.Show;
  except
    frmVistaSplash.Release;
    frmVistaSplash := nil;
  end;
end;



procedure SplashClose(TimeOut: longint);
begin
  try
    while (GetTickCount - StartTick) < TimeOut do
    begin
           {  LOADMSG.visible:=false;
             LOADMSG.visible:=true;    }
      Application.ProcessMessages;
    end;
    frmVistaSplash.Release;
    frmVistaSplash := nil;
  except
  end;
end;


procedure TfrmVistaSplash.FormCreate(Sender: TObject);
begin
  {This positions the label correctly in the lower right-hand corner regardless
  of the resolution of font size.}
  {Label1.Caption := 'Department of Veterans Affairs' + #13 +
                    'Veterans Health Administration';
  Label1.Left := Width - 25 - Label1.Width;       //offset 25 pixels from right
  Label1.Top  := Height - 25 - Label1.Height;     //offset 25 pixels from bottom}
end;

end.
