//Package:       RMIM - Functional Independence Measurement (FIM)
//Date Created : Nov 1,2002
//Site Name:     West Palm Beach VA Medical Center
//Developers:    John (Larry) McIntosh, Jerry Pickup, Cyndi McCracken
//Description:   Creates progress notes/consult responses and sends FIM
//               data to the FSOD database at AAC
unit Warn2;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls;

type
  TWarning2 = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  Private
    { Private declarations }
  Public
    { Public declarations }
  end;

var
  Warning2: TWarning2;

implementation

uses Cpat;

{$R *.DFM}

procedure TWarning2.OKBtnClick(Sender: TObject);
begin
 frmPatient.RestrictedRecord := 'Y';
end;

procedure TWarning2.CancelBtnClick(Sender: TObject);
begin
 frmPatient.RestrictedRecord := 'N';

end;

end.
