//Package:       RMIM - Functional Independence Measurement (FIM)
//Date Created : Nov 1,2002
//Site Name:     West Palm Beach VA Medical Center
//Developers:    John (Larry) McIntosh, Jerry Pickup, Cyndi McCracken
//Description:   Creates progress notes/consult responses and sends FIM
//               data to the FSOD database at AAC
unit frmDemoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TfrmDemo = class(TForm)
    PtFirst: TEdit;
    PtLast: TEdit;
    PtStreet: TEdit;
    PtCity: TEdit;
    PtState: TEdit;
    PtZip: TEdit;
    PtCountry: TEdit;
    PtPhone: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    PtMI: TEdit;
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;

implementation

uses Main;

{$R *.DFM}

procedure TfrmDemo.BitBtn1Click(Sender: TObject);
begin
 Close;
end;

procedure TfrmDemo.FormActivate(Sender: TObject);
var I : Integer;
begin
 If MainForm.ReadOnly then
  for I := 0 to frmDemo.ComponentCount - 1 do
   if (frmDemo.Components[I] is TEdit) then TEdit(frmDemo.Components[i]).Enabled := false;
 If not MainForm.ReadOnly then
  for I := 0 to frmDemo.ComponentCount - 1 do
   if (frmDemo.Components[I] is TEdit) then TEdit(frmDemo.Components[i]).Enabled := true;
end;

end.
