unit uCommon;

interface

uses
  Forms,
  Cpat,
  Dialogs,
  Trpcb,
  MFunStr,
  Windows,
  Classes,
  Graphics,
  Controls,
  StdCtrls,
  Comctrls,
  WinTypes,
  WinProcs,
  Messages,
  SysUtils,
  extctrls,
  Note,
  SignNote,
  FIMKey,
  AboutBox,
  frmDemoUnit,
  frmLookupUnit,
//  Consult,
  frmTimeOutUnit,
  frmPtChangeUnit;


type
  TFIM_FIMObjs = class(TObject)
    Private
      FBroker: TRPCBroker;
    public
      constructor Create(Broker: TRPCBroker);
      destructor Destroy; override;
      procedure ConnectBroker(Sender: TObject);
//      procedure ConnectApp(Sender: TObject);
      published
    {Published declarations}
      property Broker: TRPCBroker read FBroker;
  end;

  TPatient = class(TObject)
    AHandle               :       DWORD;
    AddPN_IEN             :       string;
    AppPath               :       string;
    Author                :       string;
    Author_Num            :       string;
    Author_NumHold        :       string;
    AuthorHold            :       string;
    CaseIEN               :       string;
    CallType              :       String;
    Consult               :       string;
    Consul_IEN            :       string;
    Consult_IEN           :       string;
    ConsultTitle          :       string;
    Cosigner              :       string;
    Cosigner_Num          :       string;
    CosignerHold          :       string;
    CPRSDFN               :       String;
    CreateVisitCall       :       string;
    CurrentUser           :       string;
    DateTime              :       string;
    DateToday             :       string;
    ErrorInput            :       string;
    FIMFacilityName       :       string;
    FormName              :       string;
    FormVersion           :       string;
    frmAuthorStatus       :       string;
    FSODConsultIEN        :       string;
    FSODConsultTitle      :       string;
    FSODkey               :       string;
    FSODMailGroup         :       string;
    FSODNoteIEN           :       string;
    FSODNoteTitle         :       string;
    GetPatientAddress     :       string;
    GetTitleCall          :       string;
    GetVisitCall          :       string;
    LoadVisitCall         :       string;
    MailMsgnum            :       string;
    NewPN_IEN             :       string;
    NonFSODNoteIEN        :       string;
    NonFSODNoteTitle      :       string;
    NoteError             :       boolean;
    NoteStatus            :       string;
    NoteTitle             :       string;
    P_City                :       string;
    P_Phone               :       string;
    P_State               :       string;
    P_Street              :       string;
    P_Zip                 :       string;
    PatientActiveDuty     :       string;
    PatientDFN            :       string;
    PatientSSN            :       string;
    PatientDOB            :       string;
    PatientAGE            :       string;
    PatientName           :       string;
    PatientSex            :       string;
    PatientMaritalStatus  :       string;
    PatientRace           :       string;
    PatNoteNum            :       string;
    PN_IEN                :       string;
    ReadOnly              :       Boolean;
    RecType               :       string;
    RPCB_Server           :       string;
    RPCB_Port             :       string;
    SendAddendum          :       string;
    SendFSOD              :       Boolean;
    Sensitivity           :       string;
    StartedfromCPRS       :       Boolean;
    StationNumber         :       string;
    StopFlag              :       boolean;
    TempPN_IEN            :       string;
    TerminateFlag         :       Boolean;
    TitleNo               :       string;
    UserDUZ               :       string;
    UserName              :       string;
    VisitNo               :       string;
    VisitDate             :       string;
    VisitLocation         :       string;
    VisitType             :       string;
  end;

var
  Patient               :       TPatient;
  FIMBroker             :       TRPCBroker;
  FIMObjects            :       TFIM_FIMObjs;
//  CPRSDFN               :       String;
//  StartedfromCPRS       :       Boolean;
//  FVistaMsg             :       Word;
//  RPCB_Server           :       string;
//  RPCB_Port             :       string;
//  AHandle               :       DWORD;
{  GetUserCall           :       string;
  UserDUZ               :       string;
  UserName              :       string;
  FSODkey               :       string;
  Author                :       string;
  Author_Num            :       string;
  SendFormName          :       string;
  AppPath               :       String;
  PortString            :       String;
  ServerString          :       String;
  FormName              :       string;
  FormVersion           :       string;
//  CheckMultiPatients    :       string;
//    UserName: string;
//    UserDUZ: string;
//    PatientSSN: string;
//    PatientDFN: string;
//    PatientDOB: string;
//    PatientAGE: string;
//    PatientName: string;
//    PatientSex: string;
//    PatientMaritalStatus: string;
//    PatientRace: string;
    GetVisits: string;
    GetAdmits: string;
    VisitNo: string;
    VisitDate: string;
    VisitLocation: string;
    VisitType: string;
    NoteStatus: string;
    ConsultTitle: string;
    Consult_IEN: string;
    Consult: string;
    PN_IEN: string;
    TempPN_IEN: string;
    AddPN_IEN: string;
    NewPN_IEN: string;
    Consul_IEN: string;
//    PatNoteNum: string;
    SendAddendum: string;
    CheckforDuplicate: string;
//    RPCB_Server: string;
//    RPCB_Port: string;
//cd    GetUserCall: string;

    AddendumText: string;
//    Author: string;
//    Author_Num: string;
    Author_NumHold: string;
    AuthorHold: string;
    CallType : String;
    CaseIEN : string;
//    CheckMultiPatients: string;
    Cosigner: string;
    Cosigner_Num: string;
    CosignerHold: string;
    CreateAddendum: string;
    CreateNote: string;
    CreateVisitCall: string;
    CurrentUser: string;
    DateTime: string;
    DateToday: string;
    DeleteTIURecord : string;
    DiagnosisCk: string;
    DMECall: string;
    ErrorInput: string;
    FIMFacilityName: string;
    FIMParms: string;
//    FormName: string;
//    FormVersion: string;
    frmAuthorStatus: string;
    FSODConsultIEN: string;
    FSODConsultTitle: string;
//    FSODkey : string;
    FSODMailGroup: string;
    FSODNoteIEN: string;
    FSODNoteTitle: string;
    GetAllAuthorsCall: string;
    GetCases: string;
    GetCosign: string;
    GetLocationsCall: string;
    GetMDate: string;
    GetNowCall: string;
//    GetPatientAddress: string;
//    GetPatientCall: string;
//    GetPatientData: string;
    GetSelectedCase: string;
    LoadVisitCall: string;
    LockPatient: string;
    GetDFNCall: string;
    GetTitleCall: string;
    GetVisitCall: string;
    LoadConsultsCall: string;
    LockTIURecord : string;
    MailMsgnum: string;
    NonFSODNoteIEN: string;
    NonFSODNoteTitle: string;
    NoteError : boolean;
    NoteTitle: string;
{    P_City: string;
    P_Phone: string;
    P_State: string;
    P_Street: string;
    P_Zip: string;
//    PatientActiveDuty: string;
    ReadOnly : Boolean;
    RecType : string;
    ReformatDateTime: string;
    RestrictedRecordCall: string;
    SaveFSOD: string;
    SendEMailCall: string;
    SendFSOD : Boolean;
//    Sensitivity : string;
    StationNumber: string;
    StopFlag : boolean;
    TerminateFlag: Boolean;
    TitleNo: string;
    UnlockTIURecord : string;
    UpdateNote: string;
    VerifyESign: string;
}

implementation

uses
  RPCConf1,
  Main;



constructor TFIM_FIMObjs.Create(Broker: TRPCBroker);
var
  i: integer;
begin
  inherited Create;
  FBroker := Broker;
end;

destructor TFIM_FIMObjs.Destroy;
begin
  FBroker := nil;
  inherited Destroy;
end;

{procedure TFIM_FIMObjs.ConnectApp(Sender: TObject);
var
  x, i: Integer;
  Exepath : string;
begin
//  Patient := TPatient.Create;
  Patient.CPRSDFN := '';
//  Application.HelpFile := Exepath+'RMIM.HLP';
  Application.hintpause := 100;
//  Screen.Cursor := crHourglass;

 StartedfromCPRS := false;
 If (ParamStr(1) <> '') and (ParamStr(2) <> '') and (ParamStr(3) <> '') then
  begin
   // set up to receive messages from CPRS
showmessage(ParamStr(1) + ' p2 ' + ParamStr(2) + ' p3 ' + ParamStr(3));
   MainForm.FVistaMsg := RegisterWindowMessage('VistA Event - Clinical');
//   MainForm.memmessages.Lines.Clear;
   StartedfromCPRS := true;
  end;

 If ParamStr(1) <> '' then
  Patient.RPCB_Server := Piece(ParamStr(1),'=',2);
 If ParamStr(2) <> '' then
  Patient.RPCB_Port := Piece(ParamStr(2),'=',2);
 If ParamStr(3) <> '' then
  Patient.PatientDFN :=  Piece(ParamStr(3),'=',2);
//  Patient.PatientDFN :=  Piece(ParamStr(3),'=',2);
showmessage(Patient.PatientDFN);

  Exepath := ExtractFilePath(Application.ExeName);
  Application.HelpFile := Exepath+'RMIM.HLP';
  Application.hintpause := 100;
  Screen.Cursor := crHourglass;
{$I+}


  {set parameters}
{    Patient.FormName := 'FIM';
    Patient.FormVersion := '1.0';


    Patient.CheckMultiPatients :=   'DG CHK BS5 XREF Y/N';
//cd here's an error
//cd removed due to negate    Patient.LoadConsultsCall :=     'ORQQCN LIST';
    Patient.LoadConsultsCall :=     'RMIM CONSULT LIST';
//cd end error
    Patient.GetVisits :=            'ORWCV VST';
//cd Patch 1 added RPC Call to get all admissions.
    Patient.GetAdmits :=            'ORWPT ADMITLST';
//end Patch 1
    Patient.DiagnosisCk :=          'ORWPCE LEX';
    Patient.GetNowCall :=           'ORWU DT';
    Patient.GetMDate :=             'ORWD DT';
    Patient.CreateNote :=           'TIU CREATE RECORD';
    Patient.UpdateNote :=           'TIU UPDATE RECORD';
    Patient.CreateAddendum :=       'TIU CREATE ADDENDUM RECORD';
    Patient.AddendumText :=         'TIU SET DOCUMENT TEXT';
    Patient.GetCosign :=            'TIU REQUIRES COSIGNATURE';
    Patient.VerifyESign :=          'TIU SIGN RECORD';
    Patient.LockTIURecord :=        'TIU LOCK RECORD';
    Patient.UnlockTIURecord :=      'TIU UNLOCK RECORD';
    Patient.DeleteTIURecord :=      'TIU DELETE RECORD';

    Patient.GetPatientCall :=       'RMIM PATIENT LOOKUP';
    Patient.GetPatientData :=       'RMIM PATIENT INFO';
    Patient.GetAllAuthorsCall :=    'RMIM AUTHOR LOOKUP';
    Patient.RestrictedRecordCall := 'RMIM RESTRICTED RECORD';
    Patient.GetLocationsCall :=     'RMIM LOCATION LOOKUP';

    Patient.GetDFNCall :=           'RMIM GET DFN';
    Patient.SendFormName :=         'RMIM GET FORM';
    Patient.SendEMailCall :=        'RMIM SEND EMAIL';
    Patient.ReformatDateTime :=     'RMIM CONVERT DATE';
    Patient.GetUserCall :=          'RMIM GET USER INFO';
    Patient.FIMParms :=             'RMIM FIM PARAMETER';
    Patient.DMECall :=              'RMIM GET PATIENT DME';
    Patient.SaveFSOD :=             'RMIM SAVE FSOD';
    Patient.GetCases :=             'RMIM GET CASES';
    Patient.GetSelectedCase :=      'RMIM GET SELECTED CASE';
    CheckVersion :=         'RMIM VERSION';
    Patient.LockPatient :=          'RMIM LOCK PATIENT';
    Patient.CheckforDuplicate :=    'RMIM CHECK DUPLICATE';
//this is the culprit for sending the form to the back.
//begin troubleshooting here.
  MainForm.ConnectBroker(application);
  If not FIMBroker.Connected then exit;
//end troubleshoot.

   MainForm.CheckServerVersion;
{  If not FIMBroker.Connected then exit;
  Edit1.Visible := false;
  grpPrevNote.Visible := false;
  tbshtAdmit.TabVisible := false;
  tbshtDC.TabVisible := false;
  tbshtInterim.TabVisible := false;
  tbshtFU.TabVisible := false;
  dtpkr1.Date := Now;
  dtpkr2.Date := Now;
  dtpkr3.Date := Now;
  dtpkr4.Date := Now;
  dtpkr5.Date := Now;
  dtpkr6.Date := Now;
  dtpkr7.Date := Now;
  dtpkr8.Date := Now;
  dtpkr9.Date := Now;
  DateToday := DatetoStr(Now);
  DateToday := Piece(DateToday,'/',1)+'/'+Piece(DateToday,'/',2)+'/'+'20'+Piece(DateToday,'/',3);
  pnlGraph.SendToBack;
  pnlPt1.BringToFront;
  pnlImpGrp.SendToBack;
  pnlImpGrp.Left := 80;
  pnlImpGrp.Top := 55;
  pgctrl1.BringToFront;
  pgctrl1.ActivePage := tbshtPt;
  frmpatient := Tfrmpatient.Create(Application);
  frmDemo := TfrmDemo.Create(Application);
  frmNote := TfrmNote.Create(Application);
//g  GetFIMParms;
  If errorflag then exit;
  MainForm.Show;
  Screen.Cursor := crDefault;
  MainForm.Refresh;
//  SetTimer1;
  MainForm.New1Click(application);
  If StartedfromCPRS then
   New1.Enabled := false;

  //set all the graphs to blank;
  graph1:=false;
  graph2:=false;
  graph3:=false;
  graph4:=false;
  graph5:=false;

end;
}

procedure TFIM_FIMObjs.ConnectBroker(Sender: TObject);
var
  x, i: Integer;
  Exepath : string;
begin
//  ExePath := ExtractFilePath(Application.ExeName);
//cd
//  Patient := TPatient.Create;

  Patient.AppPath := ExtractFilePath(Application.ExeName);
{g1  if ParamCount > 0 then
    begin
    for i:= 1 to ParamCount do
      begin
        if UpperCase(Piece(ParamStr(I),'=',1))='P'
            then PortString := Piece(ParamStr(I),'=',2);
        if UpperCase(Piece(ParamStr(I),'=',1))='S'
            then ServerString := Piece(ParamStr(I),'=',2);
        if UpperCase(Piece(ParamStr(I), '=',1))='D'
            then Patient.PatientDFN := Piece(ParamStr(I),'=',2);
   showmessage('Port' + PortString + ' Server ' + ServerString + ' Pt ' + Patient.PatientDFN);
      end;
    end
    else
      begin
        if RPCConf1.GetServerInfo(ServerString,PortString) <> 1 then
          begin
          MessageDlg('Invalid Server Selection. Terminating Application.',mtwarning,[mbok],0);
          Application.Terminate;
          end;
        end;
    FIMBroker.Server := ServerString;
    FIMBroker.ListenerPort := StrToInt(PortString);

      try
      FIMBroker.Connected := True;
      if FIMBroker.Socket > 0 then
      begin
//        if FIMBroker.CreateContext('RMIMFIM')=False then
//        begin
//          showmessage('You are not a valid FIM User Please Contact Information Management');
//          application.Terminate;
//        end
//        else
//        begin
//          FIMBroker.RemoteProcedure := 'ASS IPAA GET USERINFO';
//          FIMBroker.Call;
//          x := FIMBroker.Results.Text;
//          with FIMBroker.Results do
//          begin
{            UserInfoPtr := TUserInfo.Create;
            UserInfoPtr.DUZ := Piece(x, U, 1);
            UserInfoPtr.Name := piece(x, U, 2);
            UserInfoPtr.LastName := piece(piece(x, U, 2),',',1);
            UserInfoPtr.FirstName := piece(piece(x, U, 2),',',2);
            UserName := UserInfoPtr.FirstName + ' ' + UserInfoPtr.LastName;

         GetPtInfo.GetCPRSPt;
}
//          end;
{            if UserInfoPtr.DUZ=''then
              begin
                ShowMessage('An error has occurred in retrieving your user name.'+chr(13)+
                'Please contact Information Technology Service for more information.'+chr(13)+
                'Terminating Application.');
                Application.Terminate;
              end
              else
}//              begin
//                PageControl1.ActivePage := Main1;
//                StatusBar1.Panels[1].Text := 'Connected To:  ' + RPCBrokerV.Server;
//                StatusBar1.Panels[2].Text := 'VistA User:  ' + UserName;
//                PanelInfo.Caption := ' You Are Currently Connected To: ' + RPCBrokerV.Server + '  Please Enter A Patient To Lookup';
//MESSAGING
//                FVistaMsg := RegisterWindowMessage('VistA Event - Clinical');
//END TEST

//              end;
//            end;
{g1            end
            else
            begin
              ShowMessage('Invalid Log On. ');
            end;
            except on EBrokerError do
            begin
              MessageDlg('Connection to the server could not be established.',mterror,[mbok],0);
              Application.Terminate;
            end;
         end;
//      end;


g1}



{  if ParamCount > 0 then
    begin
    for i:= 1 to ParamCount do
      begin
      if UpperCase(Piece(ParamStr(I),'=',1))='P' then PortString := Piece(ParamStr(I),'=',2)
      else if UpperCase(Piece(ParamStr(I),'=',1))='S' then ServerString := Piece(ParamStr(I),'=',2);
      if UpperCase(Piece(ParamStr(I), '=',1))='D' then Patient.PatientDFN := Piece(ParamStr(I),'=',2)
      end;
      end
      else
        begin
        if RPCConf1.GetServerInfo(ServerString,PortString) <> 1 then
          begin
          MessageDlg('Invalid Server Selection. Terminating Application.',mtwarning,[mbok],0);
          Application.Terminate;
          end;
        end;
    FIMBroker.Server := ServerString;
    FIMBroker.ListenerPort := StrToInt(PortString);

      try
      FIMBroker.Connected := True;
      if FIMBroker.Socket > 0 then
      begin
        if FIMBroker.CreateContext('RMIMFIM')=False then
        begin
          showmessage('You are not a valid FIM User Please Contact Information Management');
          application.Terminate;
        end
        else
        begin
}{          FIMBroker.RemoteProcedure := 'ASS IPAA GET USERINFO';
          FIMBroker.Call;
          x := FIMBroker.Results.Text;
          with RPCBrokerV.Results do
          begin
            UserInfoPtr := TUserInfo.Create;
            UserInfoPtr.DUZ := Piece(x, U, 1);
            UserInfoPtr.Name := piece(x, U, 2);
            UserInfoPtr.LastName := piece(piece(x, U, 2),',',1);
            UserInfoPtr.FirstName := piece(piece(x, U, 2),',',2);
            UserName := UserInfoPtr.FirstName + ' ' + UserInfoPtr.LastName;

         GetPtInfo.GetCPRSPt;
}
{          end;
            if UserInfoPtr.DUZ=''then
              begin
                ShowMessage('An error has occurred in retrieving your user name.'+chr(13)+
                'Please contact Information Technology Service for more information.'+chr(13)+
                'Terminating Application.');
                Application.Terminate;
              end
              else
              begin
//                PageControl1.ActivePage := Main1;
//                StatusBar1.Panels[1].Text := 'Connected To:  ' + RPCBrokerV.Server;
//                StatusBar1.Panels[2].Text := 'VistA User:  ' + UserName;
//                PanelInfo.Caption := ' You Are Currently Connected To: ' + RPCBrokerV.Server + '  Please Enter A Patient To Lookup';
//MESSAGING
                FVistaMsg := RegisterWindowMessage('VistA Event - Clinical');
//END TEST

              end;
//            end;
            end
            else
            begin
              ShowMessage('Invalid Log On. ');
            end;
            except on EBrokerError do
            begin
              MessageDlg('Connection to the server could not be established.',mterror,[mbok],0);
//              Application.Terminate;
            end;
//         end;
      end;


//end cd
}
{
//begin 2 cd
  CPRSDFN := '';
//  Application.HelpFile := Exepath+'RMIM.HLP';
  Application.hintpause := 100;
//  Screen.Cursor := crHourglass;

 StartedfromCPRS := false;
 If (ParamStr(1) <> '') and (ParamStr(2) <> '') and (ParamStr(3) <> '') then
  begin
   // set up to receive messages from CPRS
   FVistaMsg := RegisterWindowMessage('VistA Event - Clinical');
   MainForm.memmessages.Lines.Clear;
   StartedfromCPRS := true;
  end;

 If ParamStr(1) <> '' then
  RPCB_Server := Piece(ParamStr(1),'=',2);
 If ParamStr(2) <> '' then
  RPCB_Port := Piece(ParamStr(2),'=',2);
 If ParamStr(3) <> '' then
  Patient.PatientDFN :=  Piece(ParamStr(3),'=',2);

  Exepath := ExtractFilePath(Application.ExeName);
  Application.HelpFile := Exepath+'RMIM.HLP';
  Application.hintpause := 100;
  Screen.Cursor := crHourglass;
{$I+}


  {set parameters}
{    FormName := 'FIM';
    FormVersion := '1.0';


    CheckMultiPatients :=   'DG CHK BS5 XREF Y/N';
    LoadConsultsCall :=     'ORQQCN LIST';
    LoadConsultsCall :=     'RMIM CONSULT LIST';
    GetVisits :=            'ORWCV VST';
//cd Patch 1 added RPC Call to get all admissions.
    GetAdmits :=            'ORWPT ADMITLST';
//end Patch 1
    DiagnosisCk :=          'ORWPCE LEX';
    GetNowCall :=           'ORWU DT';
    GetMDate :=             'ORWD DT';
    CreateNote :=           'TIU CREATE RECORD';
    UpdateNote :=           'TIU UPDATE RECORD';
    CreateAddendum :=       'TIU CREATE ADDENDUM RECORD';
    AddendumText :=         'TIU SET DOCUMENT TEXT';
    GetCosign :=            'TIU REQUIRES COSIGNATURE';
    VerifyESign :=          'TIU SIGN RECORD';
    LockTIURecord :=        'TIU LOCK RECORD';
    UnlockTIURecord :=      'TIU UNLOCK RECORD';
    DeleteTIURecord :=      'TIU DELETE RECORD';

    GetPatientCall :=       'RMIM PATIENT LOOKUP';
    GetPatientData :=       'RMIM PATIENT INFO';
    GetAllAuthorsCall :=    'RMIM AUTHOR LOOKUP';
    RestrictedRecordCall := 'RMIM RESTRICTED RECORD';
    GetLocationsCall :=     'RMIM LOCATION LOOKUP';

    GetDFNCall :=           'RMIM GET DFN';
    SendFormName :=         'RMIM GET FORM';
    SendEMailCall :=        'RMIM SEND EMAIL';
    ReformatDateTime :=     'RMIM CONVERT DATE';
    GetUserCall :=          'RMIM GET USER INFO';
    FIMParms :=             'RMIM FIM PARAMETER';
    DMECall :=              'RMIM GET PATIENT DME';
    SaveFSOD :=             'RMIM SAVE FSOD';
    GetCases :=             'RMIM GET CASES';
    GetSelectedCase :=      'RMIM GET SELECTED CASE';
    CheckVersion :=         'RMIM VERSION';
    LockPatient :=          'RMIM LOCK PATIENT';
    CheckforDuplicate :=    'RMIM CHECK DUPLICATE';

    //this is the culprit for sending the form to the back.
//begin troubleshooting here.
//  ConnectBroker(application);
//  If not FIMBroker.Connected then exit;
//end troubleshoot.

  MainForm.CheckServerVersion;
  If not FIMBroker.Connected then exit;
  MainForm.Edit1.Visible := false;
  MainForm.grpPrevNote.Visible := false;
  MainForm.tbshtAdmit.TabVisible := false;
  MainForm.tbshtDC.TabVisible := false;
  MainForm.tbshtInterim.TabVisible := false;
  MainForm.tbshtFU.TabVisible := false;
  MainForm.dtpkr1.Date := Now;
  MainForm.dtpkr2.Date := Now;
  MainForm.dtpkr3.Date := Now;
  MainForm.dtpkr4.Date := Now;
  MainForm.dtpkr5.Date := Now;
  MainForm.dtpkr6.Date := Now;
  MainForm.dtpkr7.Date := Now;
  MainForm.dtpkr8.Date := Now;
  MainForm.dtpkr9.Date := Now;
  DateToday := DatetoStr(Now);
  DateToday := Piece(DateToday,'/',1)+'/'+Piece(DateToday,'/',2)+'/'+'20'+Piece(DateToday,'/',3);
  MainForm.pnlGraph.SendToBack;
  MainForm.pnlPt1.BringToFront;
  MainForm.pnlImpGrp.SendToBack;
  MainForm.pnlImpGrp.Left := 80;
  MainForm.pnlImpGrp.Top := 55;
  MainForm.pgctrl1.BringToFront;
  MainForm.pgctrl1.ActivePage := MainForm.tbshtPt;
  frmpatient := Tfrmpatient.Create(Application);
  frmDemo := TfrmDemo.Create(Application);
  frmNote := TfrmNote.Create(Application);
  MainForm.GetFIMParms;
  If errorflag then exit;
  MainForm.Show;
  Screen.Cursor := crDefault;
  MainForm.Refresh;
  MainForm.SetTimer1;
  MainForm.NEW1CLICK(application);
  If StartedfromCPRS then
   MainForm.New1.Enabled := false;

  //set all the graphs to blank;
  graph1:=false;
  graph2:=false;
  graph3:=false;
  graph4:=false;
  graph5:=false;


//end 2 cd
{
 CPRSDFN := '';
 StartedfromCPRS := false;
 If (ParamStr(1) <> '') and (ParamStr(2) <> '') and (ParamStr(3) <> '') then
  begin
   // set up to receive messages from CPRS
     FVistaMsg := RegisterWindowMessage('VistA Event - Clinical');
     MainForm.memmessages.Lines.Clear;
     StartedfromCPRS := true;
  end;


 If ParamStr(1) <> '' then
  RPCB_Server := Piece(ParamStr(1),'=',2);
 If ParamStr(2) <> '' then
  RPCB_Port := Piece(ParamStr(2),'=',2);
 If ParamStr(3) <> '' then
  Patient.PatientDFN :=  Piece(ParamStr(3),'=',2);



  If (RPCB_Server = '') or (RPCB_Port = '') then
  If GetServerInfo(RPCB_Server, RPCB_Port) = mrCancel then
   begin
    Application.Terminate;
    exit;
   end;
  try
   FIMBroker.Connected := True;
   FIMBroker.Server := RPCB_Server;
   FIMBroker.ListenerPort := StrToInt(RPCB_Port);
// cd error here
{      if FIMBroker.Socket > 0 then
      begin
      end
//end error
3}{  except
   on EBrokerError do
     begin
      ShowMessage('Connection to server could not be established!');
      Application.Terminate;
      exit;
     end;
  end;
  if FIMBroker.Connected = true then
   begin
   Try
     FIMBroker.CreateContext('RMIMFIM');
    except
     on EBrokerError do
     begin
      MessageDlg('You are Not Authorized to use this form.' + chr(13) + chr(13) +
        'If you need access to this form, contact your ADPAC', mtError, [mbOK], 0);
      FIMBroker.Connected := false;
      Application.Terminate;
      exit;
     end;
    end;
showmessage(FIMBroker.Results.text);


    FIMBroker.RemoteProcedure := GetUserCall;
    Try
     FIMBroker.Call;
    {check for errors on return}
{    except
     on E:EBrokerError do
      begin
       ShowMessage('Broker Error: '+E.Message);
       exit;
      end;
     on E:EAccessViolation do
      begin
       ShowMessage(E.Message);
       exit;
      end;
     else
      begin
       raise;
       exit;
      end;
    end;
showmessage(FIMBroker.Results.text);

{5    UserDUZ  := Piece(FIMBroker.Results[0], '^', 1);
    UserName := Piece(FIMBroker.Results[0], '^', 2);
    FSODKey  := Piece(FIMBroker.Results[0], '^', 3);
    Author := UserName;
    Author_Num := UserDuz;
    x := StrToInt(UserDUZ);
    if x = 0 then
    begin
      MessageDlg('Error Detected during logon (DUZ = 0).' + chr(13) + 'You will have to start over.', mtError, [mbOK], 0);
      if FIMBroker.Connected = true then FIMBroker.Connected := false;
      Application.Terminate;
      exit;
    end;
//   Send the Form Name to Vista for Error checking
    FIMBroker.RemoteProcedure := SendFormName;
    FIMBroker.Param[0].PType := Literal;
    FIMBroker.Param[0].Value := 'FIM';
    Try
     FIMBroker.Call;
     {check for errors on return}
{5a    except
     on E:EBrokerError do
      begin
       ShowMessage('Broker Error: '+E.Message);
       exit;
      end;
     on E:EAccessViolation do
      begin
       ShowMessage(E.Message);
       exit;
      end;
     else
      begin
       raise;
       exit;
      end;
    end;
5}//  end;
end;





end.
